Bug 252158 - emulators/mame: upgrade to 0.226
Summary: emulators/mame: upgrade to 0.226
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emmanuel Vadot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-26 11:55 UTC by Stéphane D'Alu
Modified: 2020-12-31 10:13 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (manu)


Attachments
mame patch (15.65 KB, patch)
2020-12-26 11:55 UTC, Stéphane D'Alu
no flags Details | Diff
mess (11.88 KB, patch)
2020-12-26 11:56 UTC, Stéphane D'Alu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane D'Alu 2020-12-26 11:55:48 UTC
Created attachment 220942 [details]
mame patch

* upgrade to version 0.226
* use python 3.7 for build (see bug #249679)
Comment 1 Stéphane D'Alu 2020-12-26 11:56:49 UTC
Created attachment 220943 [details]
mess
Comment 2 commit-hook freebsd_committer 2020-12-31 10:12:36 UTC
A commit references this bug:

Author: rene
Date: Thu Dec 31 10:11:36 UTC 2020
New revision: 559715
URL: https://svnweb.freebsd.org/changeset/ports/559715

Log:
  emulators/{mame,mess}: update to 0.226 and use Python 3.7 to build

  This commit is earlier than the maintainer timeout but saves the
  port from being removed because Python 2.7 expires today.

  PR:		252158
  Submitted by:	sdalu@sdalu.com

Changes:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/files/patch-makefile
  head/emulators/mame/files/patch-src_osd_modules_file_posixptty.cpp
  head/emulators/mame/pkg-plist
  head/emulators/mess/pkg-plist
Comment 3 Rene Ladan freebsd_committer 2020-12-31 10:13:11 UTC
Committed early because of Python 2.7 EOL, builds and runs OK.